clang 10.0.0git

Static Public Member Functions | List of all members
clang::syntax::FactoryImpl Class Reference

Exposes private syntax tree APIs required to implement node synthesis. More...

## Static Public Member Functions
static void | setCanModify (syntax::Node *N)
static void | prependChildLowLevel (syntax::Tree *T, syntax::Node *Child, syntax::NodeRole R)

## Detailed Description

Exposes private syntax tree APIs required to implement node synthesis.

Should not be used for anything else.

Definition at line 14 of file Synthesis.cpp.

## Member Function Documentation

## ◆ prependChildLowLevel()

static void clang::syntax::FactoryImpl::prependChildLowLevel | ( | syntax::Tree * | T,
|  | syntax::Node * | Child,
|  | syntax::NodeRole | R
| ) |  |
| inline static

Definition at line 18 of file Synthesis.cpp.

## ◆ setCanModify()

static void clang::syntax::FactoryImpl::setCanModify | ( | syntax::Node * | N | ) |
| inline static

Definition at line 16 of file Synthesis.cpp.

The documentation for this class was generated from the following file:

- lib/Tooling/Syntax/Synthesis.cpp